DNF5-DO(8)

NUME
dnf5-do - comanda «do»

SINOPSIS

dnf5 do [opțiuni] [argumente]

DESCRIERE

Comanda do este o comandă universală pentru gestionarea pachetelor în DNF5. Aceasta permite utilizatorului să definească mai multe acțiuni (install, remove, upgrade, downgrade și reinstall).

Spre deosebire de o serie de comenzi specifice (install, remove, upgrade, downgrade și reinstall), comanda do gestionează toate acțiunile solicitate împreună și le execută într-o singură tranzacție. Acest lucru simplifică operațiile complexe și le face mai eficiente.

O altă diferență este că comanda do permite specificarea explicită a tipurilor de obiecte în tranzacție: package, group sau auto. Pentru tipul group, este posibil să se specifice dacă se utilizează un ID de grup sau un nume de grup. În mod implicit, tipul auto este activ. În acest mod, comanda do se comportă ca și alte comenzi, deducând tipul obiectului din specificația acestuia. De exemplu, dacă o specificație începe cu caracterul @, aceasta este tratată ca un ID de grup sau un modul.

Acțiunile individuale și tipurile de obiecte sunt specificate prin opțiuni și pot fi combinate.

Alte opțiuni au același înțeles și utilizare ca și comenzile (install, remove, upgrade, downgrade și reinstall). Excepțiile sunt opțiunile --installed-from-repo și --from-repo. Deși au același înțeles, acestea se aplică numai pachetelor care le urmează în linia de comandă. În plus, ele pot fi repetate cu valori diferite.

OPȚIUNI

    --action
        Acțiunea care trebuie efectuată asupra următoarelor elemente.

        Aceasta este o opțiune obligatorie care trebuie să preceadă elementele tranzacției (obiectele). Comanda do are nevoie de aceste informații pentru a ști ce acțiune să efectueze asupra elementelor specificate. Recunoaște: install, remove, upgrade, downgrade, reinstall

    --type
        Tipul următoarelor elemente.

        Acceptă: auto, package, group. auto este valoarea implicită până când se utilizează opțiunea type.

    --allowerasing
        Permite eliminarea pachetelor instalate pentru a rezolva eventualele probleme de dependență.

    --skip-broken
        Rezolvă orice problemă de dependență prin eliminarea pachetelor care cauzează probleme din tranzacție.

    --skip-unavailable
        Permite omiterea pachetelor care nu sunt disponibile în depozite. Vor fi instalate toate pachetele disponibile.

    --allow-downgrade
        Activează retrogradarea dependențelor la rezolvarea operației solicitate.

    --no-allow-downgrade
        Dezactivează retrogradarea dependențelor la rezolvarea operației solicitate.

    --installed-from-repo=ID_DEPOZIT,...
        Filtrează pachetele instalate după ID-ul depozitului din care au fost instalate.

    --from-repo=ID_DEPOZIT,...
        Pachetele (sau furnizorii acestora) specificate explicit în linia de comandă vor fi căutate numai în depozitele specificate.
        Aceste depozite sunt activate automat.
        Activarea și dezactivarea depozitelor se aplică în continuare. Dependențele acestor pachete vor fi rezolvate din orice depozit activat.

    --from-repo=FURNIZOR...
        Lista furnizorilor separați prin virgule sau spații. Sunt acceptate caracterele globale (de exemplu, --from-vendor='Fedora\ project, furnizorA, furnizorB*, furnizorC').
        Pachetele (sau furnizorii acestora) specificați în mod explicit în linia de comandă vor fi căutați numai la furnizorii specificați.
        Verificarea schimbării furnizorului este ocolită pentru aceste pachete.
        Furnizorul este ignorat sau politicile de schimbare a furnizorului (dacă allow_vendor_change=0) vor fi în continuare utilizate pentru pachetele care satisfac dependențele.

    --downloadonly
        Descarcă setul de pachete rezolvat fără a executa o tranzacție RPM.

    --offline
        Stochează tranzacția care urmează să fie efectuată fără conexiune„offline”. A se vedea dnf5-offline(8), Comanda «offline» <#offline-command-ref-label>.

    --advisories=NUME_AVIZ,...
        Include conținutul conținut în avize cu numele specificat.
        Aceasta este o opțiune de listă.
        Valorile așteptate sunt ID-urile avizelor, de exemplu FEDORA-2201-123.
        Orice comandă de tranzacție (install, upgrade) va eșua cu o eroare dacă nu există niciun aviz existent în listă; acest lucru poate fi ocolit prin utilizarea opțiunii „--skip-unavailable”.

    --advisory-severities=GRAVITATE_AVIZ,...
        Include conținutul conținut în avize cu severitatea specificată.
        Aceasta este o opțiune de listă.
        Valorile acceptate sunt: critical, important, moderate, low (scăzută), none (niciuna).

    --bzs=ID_BUGZILLA,...
        Include conținutul conținut în avize care corectează un tichet cu ID-ul Bugzilla dat.
        Aceasta este o opțiune de listă.
        Valorile așteptate sunt ID-uri numerice, de exemplu 123123.
        Orice comandă de tranzacție (install, upgrade) va eșua cu o eroare dacă nu există niciun aviz care să rezolve problema dată; acest lucru poate fi ocolit prin utilizarea opțiunii „--skip-unavailable”.

    --cves=ID_CVE,...
        Include conținutul conținut în avize care fixează un tichet cu ID-ul CVE (Common Vulnerabilities and Exposures) dat.
        Aceasta este o opțiune de listă.
        Valorile așteptate sunt șiruri de ID-uri în format CVE, de exemplu CVE-2201-0123.
        Orice comandă de tranzacție (install, upgrade) va eșua cu o eroare dacă nu există niciun aviz care să rezolve problema dată; acest lucru poate fi ocolit prin utilizarea opțiunii „--skip-unavailable”.

    --security
        Include conținutul conținut în avizele de securitate.

    --bugfix
        Include conținutul conținut în avizele de remediere a erorilor.

    --enhancement
        Include conținutul conținut în avizele de îmbunătățire.

    --newpackage
        Include conținutul conținut în avizele de pachete noi.

EXEMPLE

    dnf5 do --action=install tito
        Instalează pachetul tito.

    dnf5 do --action=remove sddm-wayland-plasma --action=install sddm-x11
        Înlocuiește pachetul sddm-wayland-plasma cu sddm-x11.

    dnf5 do --action=install --type=group id=office 'name=Games and Entertainment' --type=package iftop --action=remove atop
        Instalează grupul office (după ID), grupul Games and Entertainment (după nume) și pachetul iftop, apoi elimină pachetul atop.

    dnf5 do --action=install pkg --from-repo=myrepo1 pkg1 --from-repo=myrepo2 pkg2 --action=remove --installed-from-repo=compromised_repo '*'
        Instalează pachetul pkg din orice depozit activat, precum și pachetul pkg1 din depozitul myrepo1 și pachetul pkg2 din depozitul myrepo2. Dependențele pentru aceste pachete sunt instalate din orice depozit activat. În plus, elimină toate pachetele instalate din compromised_repo.

CONSULTAȚI ȘI
        dnf5-install(8), Comanda «install» <#install-command-ref-label>
        dnf5-remove(8), Comanda «remove» <#remove-command-ref-label>
        dnf5-upgrade(8), Comanda «upgrade» <#upgrade-command-ref-label>
        dnf5-downgrade(8), Comanda «downgrade» <#downgrade-command-ref-label>
        dnf5-reinstall(8), Comanda «reinstall» <#reinstall-command-ref-label>
        dnf5-advisory(8), Comanda «advisory» <#advisory-command-ref-label>
        dnf5-specs(7), Specificații modele <#specs-misc-ref-label>

Autor
A se vedea AUTHORS.md în distribuția sursei dnf5.

Drepturi de autor
Contribuitori la proiectul dnf5.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.